diff -urp webkitgtk-2.48.0.epoxy/Source/WebKit/WebProcess/WebCoreSupport/WebCryptoClient.h webkitgtk-2.48.0/Source/WebKit/WebProcess/WebCoreSupport/WebCryptoClient.h
--- webkitgtk-2.48.0.epoxy/Source/WebKit/WebProcess/WebCoreSupport/WebCryptoClient.h	2025-02-25 02:25:42.231411700 -0600
+++ webkitgtk-2.48.0/Source/WebKit/WebProcess/WebCoreSupport/WebCryptoClient.h	2025-04-04 16:34:42.759052079 -0500
@@ -40,9 +40,11 @@ public:
     WebCryptoClient(WebCore::PageIdentifier);
     WebCryptoClient() = default;
     ~WebCryptoClient() = default;
+#if ENABLE(WEB_CRYPTO)
     std::optional<Vector<uint8_t>> wrapCryptoKey(const Vector<uint8_t>&) const override;
     std::optional<Vector<uint8_t>> serializeAndWrapCryptoKey(WebCore::CryptoKeyData&&) const override;
     std::optional<Vector<uint8_t>> unwrapCryptoKey(const Vector<uint8_t>&) const override;
+#endif
 private:
     std::optional<WebCore::PageIdentifier> m_pageIdentifier;
 };
diff -urp webkitgtk-2.48.0.epoxy/Source/WTF/wtf/PlatformEnableCocoa.h webkitgtk-2.48.0/Source/WTF/wtf/PlatformEnableCocoa.h
--- webkitgtk-2.48.0.epoxy/Source/WTF/wtf/PlatformEnableCocoa.h	2025-02-25 02:25:40.559371500 -0600
+++ webkitgtk-2.48.0/Source/WTF/wtf/PlatformEnableCocoa.h	2025-04-04 16:34:42.759411402 -0500
@@ -952,6 +952,10 @@
 #define ENABLE_WEB_CODECS 1
 #endif
 
+#if !defined(ENABLE_WEB_CRYPTO)
+#define ENABLE_WEB_CRYPTO 1
+#endif
+
 #if !defined(ENABLE_WEB_PLAYBACK_CONTROLS_MANAGER) && PLATFORM(MAC)
 #define ENABLE_WEB_PLAYBACK_CONTROLS_MANAGER 1
 #endif
